The "List Subscriptions" API allows to retrieve a paginated list of subscriptions. Customize your results by filtering subscriptions based on name, alt type, subscription status, payment mode, date ra
The "List Subscriptions" API allows to retrieve a paginated list of subscriptions. Customize your results by filtering subscriptions based on name, alt type, subscription status, payment mode, date range, type of source, contact, subscription id, entity id, contact or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve subscription information.
http
GET https://services.leadconnectorhq.com/payments/subscriptions
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
altId
string
Yes
3SwdhCu3svxI8AKsPJt6
AltId is the unique identifier e.g: account id.
altType
string
Yes
account
AltType is the type of identifier.
entityId
string
No
61dd0fe9c077f73e67f78803
Entity id for filtering of subscriptions.
paymentMode
string
No
live
Mode of payment.
startAt
string
No
2024-02-01
Starting interval of subscriptions.
endAt
string
No
2024-02-13
Closing interval of subscriptions.
entitySourceType
string
No
funnel
Source of the subscriptions.
search
string
No
Awesome subscription
The name of the subscription for searching.
contactId
string
No
AmuzcoPBpgKeccNsFlib
Contact ID for the subscription
id
string
No
64bf78af39118e4011926cba
Subscription id for filtering of subscriptions.
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
getPaymentsCollectedCount
boolean
No
true
Get the total payments collected for the subscription.
Responses
200 - Successful response
data (object[], required): An array of subscriptions
_id (string, required): The unique identifier for the subscription. Example: 64bf78af39118e4011926cba
altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6
altType (string, required): AltType is the type of identifier. Possible values: 'account' Example: account
contactId (string): Contact id corresponding to the subscription. Example: XPLSw2SVagl12LMDeTmQ
contactName (string): Contact name corresponding to the subscription. Example: James Bond
contactEmail (string): Contact email corresponding to the subscription. Example: james.bond@leadwaycrm.com
currency (string): Currency in which subscription occurred. Example: USD
amount (number): Subscription value. Example: 100
status (object, required): The status of the subscription (e.g., succeeded). Example: active
liveMode (boolean): Subscription is in live / test mode. Example: false
entityType (string): Entity type of subscription (eg: order). Example: order
entityId (string): Entity id for the subscription. e.g: order id Example: 62f4db0f3059ecee61379012
entitySourceType (string, required): Entity source type of subscription (eg: funnel). Example: funnel
entitySourceName (string): Entity source name for the subscription. Example: Attribution Funnel
entitySourceId (string): Entity source id for the subscription. Example: bevrkPbLaDNXFaqfLKMm
entitySourceMeta (object): Meta content for the entity source of subscription. Example: { domain: "app.leadwaycrm.com", pageId: "sxC4lNhFIavEnLZh5KhC", pageUrl: "/v2/preview/sxC4lNhFIavEnLZh5KhC", stepId: "7d303d1f-cb85-403d-b548-bf01de5c7bb0" }
subscriptionId (string): Subscription id for subscription. Example: I-0UE609H8E43P